## hdy-version hdy-version — Handy version checking |

## Functions

#define | HDY_ENCODE_VERSION()
#define | HDY_CHECK_VERSION()

## Types and Values

#define | HDY_MAJOR_VERSION
#define | HDY_MINOR_VERSION
#define | HDY_MICRO_VERSION
#define | HDY_VERSION
#define | HDY_VERSION_S
#define | HDY_VERSION_HEX

## Description

Handy provides macros to check the version of the library at compile-time

## Functions

### HDY_ENCODE_VERSION()

    #define             HDY_ENCODE_VERSION(major,minor,micro)

### HDY_CHECK_VERSION()

    #define             HDY_CHECK_VERSION(major,minor,micro)

Compile-time version checking. Evaluates to `TRUE` if the version of handy is greater than the required one.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

## Types and Values

### HDY_MAJOR_VERSION

    #define HDY_MAJOR_VERSION              (0)

Hdy major version component (e.g. 1 if `HDY_VERSION` is 1.2.3)

### HDY_MINOR_VERSION

    #define HDY_MINOR_VERSION              (0)

Hdy minor version component (e.g. 2 if `HDY_VERSION` is 1.2.3)

### HDY_MICRO_VERSION

    #define HDY_MICRO_VERSION              (5)

Hdy micro version component (e.g. 3 if `HDY_VERSION` is 1.2.3)

### HDY_VERSION

    #define HDY_VERSION                    (0.0.5)

Hdy version.

### HDY_VERSION_S

    #define HDY_VERSION_S                  "0.0.5"

Handy version, encoded as a string, useful for printing and concatenation.

### HDY_VERSION_HEX

    #define             HDY_VERSION_HEX

Handy version, encoded as an hexadecimal number, useful for integer comparisons.